Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009244Dwarf FortressDwarf Mode -- Jobs, Activity Zonespublic2015-12-05 19:342015-12-09 12:40
Reporterspwndlove 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformPCOSWindowsOS Version7
Product Version0.42.01 
Target VersionFixed in Version0.42.03 
Summary0009244: Scribes rarely, if ever, copy works in the library
DescriptionScribes almost never copy works. I would say "never" but someone on reddit said their scribe copied one work after a long long time. Clearly this isn't working as intended. I expect that if the "total number of each to scribe" is set to more than 1 and your library has available reading materials, then the scribe should make as many copies of each work in the library as is requested.
Steps To ReproduceSet up a fully stocked library (tables, chairs, writing materials, bookcases) with books both written by dwarves in your fort and purchased from traders on the shelves.

Assign a dwarf to the Scribe occupation and disable all their labors. Set "Total number of each to scribe" to a high value (like 4) in the location menu.

Wait for months/seasons/years while your scribe doesn't copy any books.
Additional InformationThis has been corroborated by others on the forum and reddit.
TagsNo tags attached.
Attached Files

- Relationships
related to 0009950new Scribes do not scribe 

-  Notes
(0033642)
Toady One (administrator)
2015-12-08 14:12

I might have just fixed this, but I'll need a save to check.
(0033646)
Dwarfu (manager)
2015-12-08 14:57

Reminder sent to: spwndlove

Do you have a save demonstrating this issue? If so, please compress (.zip) your DF/data/save/region folder, upload it to http://dffd.bay12games.com/, [^] and post a link to it in the bug report.

Toady may have fixed it and needs a save to verify. Thanks.
(0033662)
spwndlove (reporter)
2015-12-08 21:33
edited on: 2015-12-08 21:35

OK, I uploaded my save. Here's the link: http://dffd.bay12games.com/file.php?id=11427 [^]

(0033681)
Toady One (administrator)
2015-12-09 12:40

Cool -- I saw the scribe copy Position for Everyone and another book, so it seems to be working.

- Issue History
Date Modified Username Field Change
2015-12-05 19:34 spwndlove New Issue
2015-12-08 14:12 Toady One Note Added: 0033642
2015-12-08 14:12 Toady One Assigned To => Toady One
2015-12-08 14:12 Toady One Status new => needs feedback
2015-12-08 14:57 Dwarfu Note Added: 0033646
2015-12-08 21:33 spwndlove Note Added: 0033662
2015-12-08 21:33 spwndlove Status needs feedback => assigned
2015-12-08 21:35 spwndlove Note Edited: 0033662 View Revisions
2015-12-09 12:40 Toady One Note Added: 0033681
2015-12-09 12:40 Toady One Status assigned => resolved
2015-12-09 12:40 Toady One Fixed in Version => Next Version
2015-12-09 12:40 Toady One Resolution open => fixed
2017-05-06 09:24 lethosor Relationship added related to 0009950


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker